Subject: Re: bug#31106: Inaccuracy in GNU parted documentation online manual
From: Phil Susi <[email-masked]>
To: Will Haley <[email-masked]>, [email-masked]
Date: Thu, 10 May 2018 13:20:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The msdos partition table does not support names; use gpt for that.

On 4/9/2018 12:03 AM, Will Haley wrote:
> https://www.gnu.org/software/parted/manual/parted.html says, regarding
> `mkpart`, that a name can be specified as an argument to `mkpart`.
> 
> https://www.gnu.org/software/parted/manual/parted.html#mkpart
> 
> Command: *mkpart* *[part-type fs-type name] start end*
> 
> That does not seem to be true with the latest build of parted. At least,
> not in the versions currently packaged for Ubuntu 16, Arch, or when
> compiling from the git master as of 2018/04/08
> 
> The doc I referenced above states: "This document applies roughly to
> version *3.2* of GNU Parted."
> 
> Unfortunately, the documented syntax does not appear to be valid.
> Considering that the documentation index states the docs were last updated
> in 2016, I'm assuming the syntax online is outdated.
> https://www.gnu.org/software/parted/manual/
> 
> This is what I see when compiling parted from the latest souce.
> https://git.savannah.gnu.org/git/parted.git
> 
> $ ./parted --version
> parted (GNU parted) 3.2.94-7188
> 
> $ ./parted --help | grep -i mkpart
>   mkpart PART-TYPE [FS-TYPE] START END     make a partition
> 
> Indeed, trying to specify a name for `mkpart` results in an error.
> 
> Please let me know if there is anything I can to do assist in updating this
> documentation.
> 
> Thank you.
> 
> -Will
>